data WORK.ToothGrowth ;
  input supp $ dose len @@ ;
  cards ;
    VC 0.5  4.2     VC 0.5 11.5     VC 0.5  7.3 
    VC 0.5  5.8     VC 0.5  6.4     VC 0.5 10.0 
    VC 0.5 11.2     VC 0.5 11.2     VC 0.5  5.2 
    VC 0.5  7.0     VC   1 16.5     VC   1 16.5 
    VC   1 15.2     VC   1 17.3     VC   1 22.5 
    VC   1 17.3     VC   1 13.6     VC   1 14.5 
    VC   1 18.8     VC   1 15.5     VC   2 23.6 
    VC   2 18.5     VC   2 33.9     VC   2 25.5 
    VC   2 26.4     VC   2 32.5     VC   2 26.7 
    VC   2 21.5     VC   2 23.3     VC   2 29.5 
    OJ 0.5 15.2     OJ 0.5 21.5     OJ 0.5 17.6 
    OJ 0.5  9.7     OJ 0.5 14.5     OJ 0.5 10.0 
    OJ 0.5  8.2     OJ 0.5  9.4     OJ 0.5 16.5 
    OJ 0.5  9.7     OJ   1 19.7     OJ   1 23.3 
    OJ   1 23.6     OJ   1 26.4     OJ   1 20.0 
    OJ   1 25.2     OJ   1 25.8     OJ   1 21.2 
    OJ   1 14.5     OJ   1 27.3     OJ   2 25.5 
    OJ   2 26.4     OJ   2 22.4     OJ   2 24.5 
    OJ   2 24.8     OJ   2 30.9     OJ   2 26.4 
    OJ   2 27.3     OJ   2 29.4     OJ   2 23.0 
 ; 
run ;

*************************************************;

proc means data=WORK.TOOTHGROWTH mean std min max n ; *--- f[^Ɠvʂw ;
  var len;    *--- ͕ϐw ;
  class supp; *--- ޕϐw ;
run ;

*************************************************;

proc sort data=WORK.TOOTHGROWTH out=Work.SortTempTableSorted ; 
  by supp ; *--- f[^TOOTHGROWTHבւSortTempTableSortedɕۑ ;
run ;

proc univariate data=Work.SortTempTableSorted ; *--- f[^w ;
  var len ;                *--- ͕ϐw ;
  histogram len / kernel ; *--- ͕ϐw ;
  by supp ;                *--- O[vϐw ;
run ;

*************************************************;

proc ttest data=WORK.TOOTHGROWTH ; *--- f[^w ;
  class supp ; *--- O[vϐw ;
  var len ;    *--- ͕ϐw ;
run ;

*************************************************;

proc corr data=WORK.TOOTHGROWTH pearson ; *--- f[^Ƒ֌W̎ނw ;
  var dose len ; *--- Aϐ2ȏw ;
run ;

*************************************************;

proc glmselect data=WORK.TOOTHGROWTH ; *--- f[^w ;
  class supp / param=glm ;             *--- ޕϐw ;
  model len=dose supp / showpvalues selection=none ; *--- fw ;
run ;

proc glm data=WORK.TOOTHGROWTH ;  *--- f[^w ;
  class supp dose ;               *--- ޕϐw ;
  model len=supp dose / ss1 ss3 ; *--- fw ;
  lsmeans supp dose / pdiff=all alpha=0.05 cl ;
quit ;

*************************************************;

data WORK.ToothGrowth2 ;      *--- o͂f[^w ;
  set WORK.TOOTHGROWTH ;      *--- ǂݍރf[^w ;
  tr1_len=ifn(len>=20, 1, 0); *--- f[^̕ϊLq ;
run ;

proc freq data=WORK.TOOTHGROWTH2 ;      *---f[^w ;
  tables (supp) *(tr1_len) 
        / chisq nopercent nocol nocum ; *--- sƗ̕ϐw ;
run ;

*************************************************;

proc logistic data=WORK.TOOTHGROWTH2 ;  *--- f[^w ;
  class supp / param=glm ;              *--- ޕϐw ;
  model tr1_len(event='1')=supp dose 
        / link=logit technique=fisher ; *--- fw ;
run ;

*************************************************;

data WORK.AML ;
  input group $ time status @@ ;
  cards ;
    Maintained      9 1    Maintained     13 1
    Maintained     13 0    Maintained     18 1
    Maintained     23 1    Maintained     28 0
    Maintained     31 1    Maintained     34 1
    Maintained     45 0    Maintained     48 1
    Maintained    161 0    Nonmaintained   5 1
    Nonmaintained   5 1    Nonmaintained   8 1
    Nonmaintained   8 1    Nonmaintained  12 1
    Nonmaintained  16 0    Nonmaintained  23 1
    Nonmaintained  27 1    Nonmaintained  30 1
    Nonmaintained  33 1    Nonmaintained  43 1
    Nonmaintained  45 1
  ;
run ;

proc sort data=WORK.AML ; *--- f[^w ;
  by group ;              *--- ޕϐw ;
run ;

proc lifetest data=WORK.AML   /* f[^w */
  plots=survival(atrisk=0 to 160 by 20) maxtime=170 ; *--- XNWƉE[w ;
  by   group ;              *--- ޕϐw ;
  time time * status(0) ;   *--- *Cxg̗L(ł؂̒l) Lq ;
run ;

/*
proc lifetest data=WORK.AML plots=survival ;       *--- f[^w ;
  strata group ;                                   *--- ޕϐw ;
  time   time * status(0) ; * *Cxg̗L(ł؂̒l) Lq ;
run ;

proc phreg data=WORK.AML ;                     *--- f[^w ;
  class group ;                                *--- ޕϐw ;
  model time * status(0) = group / ties=exact; *--- fw ;
run ;
*/
