data WORK.IRIS ;
  set SASHELP.IRIS ;
run ;

*************************************************;

proc sgplot data=WORK.IRIS ; *--- f[^w ;
  *--- Ot̎ށic̖_OtFvbarjAJeSϐAϐw ;
  vbar Species / response=SepalLength stat=Mean ;
  yaxis grid ;
run ;

*************************************************;

proc sgplot data=WORK.IRIS ;            *--- f[^w ;
  vbox SepalLength / category=Species ; *--- ͕ϐAJeSϐw ;
  xaxis fitpolicy=splitrotate; yaxis grid ;
run ;

*************************************************;

footnote j=l 'Where : Species="Setosa"' ;
proc sgplot data=WORK.IRIS(where=(Species="Setosa")) ; *--- f[^w ;
  histogram SepalLength / ;                            *--- ͕ϐw ;
  density SepalLength / type=Kernel ;                  *--- ͕ϐw ;
  yaxis grid ;
  discretelegend "DENSITY" / location=inside position=topright across=1 ;
run ;
footnote ;

*************************************************;

proc sgplot data=WORK.IRIS ;                       *--- f[^w ;
  vline Species / response=SepalLength stat=Mean ; *--- JeSϐA͕ϐw ;
  yaxis grid ;
run ;

*************************************************;

proc template ;
  define statgraph WebOne.Pie ;
    begingraph ;
    layout region ;
    piechart category=Species response=SepalLength 
      / start=90 centerFirstSlice=1 ;
    endlayout ;
    endgraph ;
  end ;
run ;

proc sgrender template=WebOne.Pie data=WORK.IRIS ;
run ;

*************************************************;

proc sgplot data=WORK.IRIS ;             *--- f[^w ;
  reg x=PetalLength y=PetalWidth        /* X  Y ̕ϐw */
      / nomarkers group=Species ;        *--- JeSϐw ;
  scatter x=PetalLength y=PetalWidth    /* X  Y ̕ϐw */
      / group=Species transparency=0.0 ; *--- JeSϐw ;
  xaxis grid ; yaxis grid ;
run ;

*************************************************;

proc sgplot data=WORK.IRIS ; *--- f[^w ;
  bubble x=PetalLength y=PetalWidth size=SepalWidth
         / group=Species  ;  *--- X  YAJeSϐƃTCYw ;
  xaxis grid ; yaxis grid ;
run ;

*************************************************;

data MYTIMESERIES ;
  do DAY= 1 to 100 ;
    PRICE=floor(500+100*ranuni(7)) ; output ;
  end ;  
run ;

proc sgplot data=WORK.MYTIMESERIES ;  *--- f[^w ;
  series x=DAY y=PRICE  ;   *--- cƉ̕ϐw ;
  xaxis grid; yaxis grid ;
run ;

*************************************************;

proc sgscatter data=WORK.IRIS ;
  matrix SepalLength SepalWidth PetalLength PetalWidth / group=Species ;
run ;

*************************************************;

proc sgplot data=WORK.IRIS ;
  scatter x=SepalLength y=SepalWidth / group=Species ;
  ellipse x=SepalLength y=SepalWidth ;
run ;

*************************************************;

proc sgplot data=WORK.IRIS ;
  dot Species / response=PetalLength stat=mean limitstat=stddev ;
run ;

*************************************************;

data WORK.ResponseRate ;
  input id rrate result$ @@ ;
  cards ;
   1  80 PD   2  50 PD   3  40 PD   4  20 PD   5   5 SD   6 -10 SD
   7 -10 SD   8 -15 SD   9 -30 PR  10 -50 PR  11 -60 PR  12 -95 CR
  ; 
run ;

proc sgplot data=WORK.ResponseRate ; 
  vbar  id / response=rrate group=result ;
  xaxis display=none ;
  yaxis label='Response Rate (%)' ;
run ;

*************************************************;

data WORK.normal ;
  do x=-5 to 5 by 0.01 ;
    y=pdf("normal",x,0,1); output; *--- ϐyɃvbg֐w ;
  end ;
run ;

proc sgplot data=WORK.normal ;
  series x=x y=y ;
run ;

*************************************************;

proc format ;
   value dosef 0.5="0.5 mg" 1="1.0 mg" 2="2.0 mg" ;
run ;

proc sgplot data=WORK.ToothGrowth ;
  styleattrs
    datacolors      =(blue red)
    datalinepatterns=(1 2)
    datasymbols     =(circlefilled diamondfilled) ; 
  vline dose / response    =len      group =supp
               groupdisplay=cluster  stat  =mean
               limitstat   =stddev   limits=both
               markers ;
  xaxis    type=discrete offsetmin=0.2 offsetmax=0.2
           display=(nolabel) tickvalueformat=dosef. ;
  yaxis    values=(10 20 30) min=0 max=40 offsetmin=0.2 offsetmax=0.2
           label="Tooth Length (mm)"; 
  keylegend / down=2 location=inside position=topleft title="Supp." ;
run ;
